#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.component.hearing.interfaces import IHearingTarget
from onf_website.component.location.interfaces import ILocationTarget
from onf_website.shared.blog.interfaces import IBlogManager
from pyams_content.shared.common.interfaces import IManagerRestrictionsFactory

# import packages
from onf_website.shared.blog import BlogPost
from onf_website.shared.common.security import SharedToolManagerRestrictionInfo
from pyams_content.shared.blog.manager import BlogManager as BlogManagerBase
from pyams_utils.adapter import adapter_config
from zope.interface import implementer


@implementer(IBlogManager, ILocationTarget, IHearingTarget)
class BlogManager(BlogManagerBase):
    """Blog manager class"""

    shared_content_factory = BlogPost


@adapter_config(context=IBlogManager, provides=IManagerRestrictionsFactory)
def BlogManagerRestrictionsFactory(context):
    """Blog manager restrictions factory"""
    return SharedToolManagerRestrictionInfo
