#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.component.hearing.interfaces import IHearingTarget
from onf_website.component.location.interfaces import ILocationTarget
from onf_website.shared.site.interfaces import ISiteFolder
from pyams_content.shared.common.interfaces import IManagerRestrictionsFactory

# import packages
from onf_website.shared.common.security import SharedToolManagerRestrictionInfo
from pyams_content.shared.site.folder import SiteFolder as SiteFolderBase
from pyams_utils.adapter import adapter_config
from zope.interface import implementer


@implementer(ISiteFolder, IHearingTarget)
class SiteFolder(SiteFolderBase):
    """Site folder class"""


@adapter_config(context=ISiteFolder, provides=IManagerRestrictionsFactory)
def SiteFolderRestrictionsFactory(context):
    """Site folder restrictions factory"""
    return SharedToolManagerRestrictionInfo
